Overview
GET
/access/personas/user-actableregistryList the personas the caller may configure per-tool toggles for (may_act user)
List user-actable.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
the personas that may act for users
- personasRegistryUserActablePersona[]
Example
{
"personas": [
{
"id": "string",
"slug": "string",
"name": "string"
}
]
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/access/personas/user-actable" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/personas/user-actable", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();